Name:           perl-Text-Kakasi
Version:        2.04
Release:        15%{?dist}
Summary:        Kakasi library module for perl

Group:          Development/Libraries
License:        GPL+
Url:            http://search.cpan.org/~dankogai/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DA/DANKOGAI/Text-Kakasi-2.04.tar.gz
Patch:          Text-Kakasi-1.04-perl580.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl >= 2:5.8.0
BuildRequires:  kakasi-devel >= 2.3.1, kakasi-dict
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       kakasi >= 2.3.1

%description
This module provides libkakasi interface for perl. libkakasi is a part
of KAKASI.  KAKASI is the language processing filter to convert Kanji
characters to Hiragana, Katakana or Romaji and may be helpful to read
Japanese documents.
More information about KAKASI is available at <http://kakasi.namazu.org/>.


%prep
%setup -n Text-Kakasi-%{version}
%patch -p1 -b .perl580

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

file=$RPM_BUILD_ROOT%{_mandir}/man3/Text::Kakasi.3pm
iconv -f euc-jp -t utf-8 < "$file" > "${file}_"
mv -f "${file}_" "$file"

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{perl_vendorarch}/Text/
%{perl_vendorarch}/auto/Text/
%{_mandir}/man3/*.3*


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.04-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 23 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.04-14
- 661697 rebuild for fixing problems with vendorach/lib

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.04-13
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 2.04-12
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.04-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.04-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jun  3 2008 Akira TAGOH <tagoh@redhat.com> - 2.04-9
- Fix FTFBS. (#449405)

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.04-8
Rebuild for new perl

* Tue Feb 12 2008 Akira TAGOH <tagoh@redhat.com> - 2.04-7
- Rebuild for gcc-4.3.

* Tue Oct 16 2007 Akira TAGOH <tagoh@redhat.com> - 2.04-6
- Add BR perl(ExtUtils::MakeMaker)

* Thu Aug 23 2007 Akira TAGOH <tagoh@redhat.com> - 2.04-5
- Rebuild

* Fri Aug 10 2007 Akira TAGOH <tagoh@redhat.com> - 2.04-4
- Update License tag.

* Mon Sep 11 2006 Akira TAGOH <tagoh@redhat.com> - 2.04-3
- rebuilt

* Thu Mar  2 2006 Akira TAGOH <tagoh@redhat.com> - 2.04-2
- rebuilt.

* Mon May 30 2005 Akira TAGOH <tagoh@redhat.com> - 2.04-1
- Updates to 2.04.
- import to Extras.

* Sat Apr 30 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.05-13
- Added missing build requirement: kakasi-dict. (#156479)
- Bring up to date with current Fedora.Extras perl spec template.

* Thu Nov 25 2004 Miloslav Trmac <mitr@redhat.com> - 1.05-12
- Convert man page to UTF-8

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jun 02 2003 Akira TAGOH <tagoh@redhat.com> 1.05-7
- don't specify rpath. (#66120)
- removed Kakasi.bs.

* Thu May 22 2003 Jeremy Katz <katzj@redhat.com> 1.05-6
- fix rebuilding

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sat Dec 14 2002 Tim Powers <timp@redhat.com> 1.05-4
- don't use rpms internal dep generator

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- rebuild in current collinst

* Thu Aug 15 2002 Tim Powers <timp@redhat.com>
- clean up file list so that we pick up the man page from the correct place

* Thu Jul 18 2002 Akira TAGOH <tagoh@redhat.com> 1.05-1
- New upstream release.
- add the owned directory.
- clean up for spec.
- moved site_perl to vendor_perl

* Tue Jun 25 2002 Yukihiro Nakai <ynakai@redhat.com>
- Delete Japanese description
- Fix for perl 5.8.0 (#67002)

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jul 25 2001 Tim Powers <timp@redhat.com>
- remove perl temp files

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Mon Dec 11 2000 Akira Tagoh <tagoh@redhat.com>
- Rebuild for 7.1

* Mon Aug 07 2000 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild for 7.0J

* Mon Apr 10 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.04.

* Thu Apr 06 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.02.

* Tue Feb 08 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- Changed group (Utilities/Text -> Applications/Text).

* Sat Dec 11 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Rebuild for RHL-6.1.

* Fri Dec 03 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.01.

* Wed Dec 01 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- First build.
